table.insert(GLOBAL.STRINGS, "TNET_REMAININGTIME")
table.insert(GLOBAL.STRINGS, "DFV_TIMETILLMORNING")
local require = GLOBAL.require
local Text = require "widgets/text" 
local XIAN_LANG = GetModConfigData("XIAN_Language")
local XIANTIME = GetModConfigData("XIANTIME")

GLOBAL.LIANJI_TENT_TIME =  480 * GetModConfigData("TIANSHU")

if XIAN_LANG == "FR" then
	GLOBAL.STRINGS.TNET_REMAININGTIME = "Temps de restant: "
	GLOBAL.STRINGS.DFV_TIMETILLMORNING = "Temps jusqu'au matin: "
elseif XIAN_LANG == "CHS" then
	GLOBAL.STRINGS.TNET_REMAININGTIME = "剩余的使用时间: "
	GLOBAL.STRINGS.DFV_TIMETILLMORNING = "直到早上时间: "
	GLOBAL.STRINGS.DAYS_TIMETILLMORNING = " 天 "
	GLOBAL.STRINGS.SEGMENTS_TIMETILLMORNING = " 段 "
elseif XIAN_LANG == "CHT" then
	GLOBAL.STRINGS.TNET_REMAININGTIME = "剩餘使用時間: "
	GLOBAL.STRINGS.DFV_TIMETILLMORNING = "直到早上時間: "
	GLOBAL.STRINGS.DAYS_TIMETILLMORNING = " 天 "
	GLOBAL.STRINGS.SEGMENTS_TIMETILLMORNING = " 段 "
elseif XIAN_LANG == "GR" then
	GLOBAL.STRINGS.TNET_REMAININGTIME = "Restbrenndauer: "
	GLOBAL.STRINGS.DFV_TIMETILLMORNING = "Zeit bis zum Morgen: "
elseif XIAN_LANG == "RU" then
	GLOBAL.STRINGS.TNET_REMAININGTIME = "Оставшееся время записи: "
	GLOBAL.STRINGS.DFV_TIMETILLMORNING = "Время до утра: "
elseif XIAN_LANG == "SP" then
	GLOBAL.STRINGS.TNET_REMAININGTIME = "Tiempo de grabación restante: "
	GLOBAL.STRINGS.DFV_TIMETILLMORNING = "Tiempo hasta la mañana: "
elseif XIAN_LANG == "IT" then
	GLOBAL.STRINGS.TNET_REMAININGTIME = "Tempo di combustione rimanente: "
	GLOBAL.STRINGS.DFV_TIMETILLMORNING = "Tempo fino al mattino: "
else
	GLOBAL.STRINGS.TNET_REMAININGTIME = "Remaining time: "
	GLOBAL.STRINGS.DFV_TIMETILLMORNING = "Time until morning: "
	GLOBAL.STRINGS.DAYS_TIMETILLMORNING = " Days "
	GLOBAL.STRINGS.SEGMENTS_TIMETILLMORNING = " Segments "
end

if XIANTIME then
	GLOBAL.XIANSHISHIJIAN = 1
else
	GLOBAL.XIANSHISHIJIAN = 0
AddPrefabPostInitAny(function(inst)
	if inst:HasTag("tenttime") then 
			inst.basename = inst.name
			inst._name = GLOBAL.net_string(inst.GUID, "fueled_name", "fueled_name_dirty")
			
			local function FuledNameDirty(inst)
				inst.name =  inst._name:value()
			end
			
			if not GLOBAL.TheWorld.ismastersim then
				inst:ListenForEvent("fueled_name_dirty", FuledNameDirty)
			end
		if inst.components.fueled then	
			inst.components.fueled:SetUpdateFn(function() 
				local minutes_left = math.floor((inst.components.fueled.currentfuel / inst.components.fueled.rate) / 60)
				local seconds_left = math.floor(inst.components.fueled.currentfuel - minutes_left * 60)
				local zero = ""
				
				local total_segments = math.floor(((inst.components.fueled.currentfuel / inst.components.fueled.rate) / (TUNING.TOTAL_DAY_TIME / 16))*10)/10
				local days = math.floor(total_segments/16)
				local segments = math.floor((total_segments - days*16)*10)/10
				if total_segments <= 16 then
					days = "0"
					segments = total_segments
				end

				if seconds_left < 10 then
					zero = "0"
				end
				if inst.components.fueled:IsEmpty() then
					inst.name = inst.basename
				else
					inst.name = inst.basename .. "\n" .. GLOBAL.STRINGS.TNET_REMAININGTIME .. minutes_left .. ":" .. zero .. seconds_left.. "\n" .. days .. GLOBAL.STRINGS.DAYS_TIMETILLMORNING .. segments .. GLOBAL.STRINGS.SEGMENTS_TIMETILLMORNING
				end
				
				inst._name:set(inst.name)
			end)
		end
	end
end)
end